Questions tagged [upgrade]

The tag has no usage guidance.

Filter by
Sorted by
Tagged with
1 vote
1 answer
36 views

Upgrading PostGIS 3.0 to PostGIS 3.3 on RHEL 8 fails

I am not a DBA. I am trying to update our PostGIS 3.0 package installation on a PostgreSQL 12 database to PostGIS 3.3 package on a RHEL 8 server. I am unable to install both packages at the same time ...
NC 2024's user avatar
  • 11
1 vote
0 answers
174 views

Upgrading OpenLayers project to new OpenLayers version

I have a very complex project made with OpenLayers 6.15.1 integrated with the ol-ext library, I would like to switch to the latest version of OpenLayers which is currently 8.0.0 I would like to do ...
andreaordonselli's user avatar
1 vote
0 answers
41 views

GeoServer 2.23.1 CORS Issue [duplicate]

After upgrading to GeoServer 2.23.1 we are getting CORS issue. We are installing GeoServer within an ECS Cluster in AWS, Tomcat 9 is being used as the server. We have followed the documentation and ...
Viswas Menon's user avatar
1 vote
0 answers
39 views

Adding Opacity on a graduated Layer PyQGIS

My code is: from qgis.core import ( QgsVectorLayer, QgsProject, QgsGraduatedSymbolRenderer, QgsSymbol, QgsRendererRangeLabelFormat ) from qgis.gui import ...
LUIZ FELIPE MENDES DE MATOS's user avatar
3 votes
1 answer
242 views

Determine which GeoServer extensions are installed on a given instance of GeoServer

I have a 2.7 GeoServer and I want to upgrade it. I installed a 2.18 version and in the Internet I found that I should do 2 things to upgrade: Copy and paste the data_dir folder in the installation ...
milad's user avatar
  • 699
0 votes
0 answers
98 views

Error upgrading GeoServer from 2.7 to 2.18

I had a GeoServer version 2.7 on a Windows machine. I wanted to upgrade it. I backed up the data_dir and then pasted it into the data_dir of the new GeoServer. When I log into the new GeoServer admin ...
milad's user avatar
  • 699
1 vote
0 answers
171 views

Migrating an old PG9.5-2.2 database - ERROR: could not access file "$libdir/postgis-2.2": No such file or directory

I put my hands on an old PostgreSQL/PostGIS sever (Ubuntu 22.04.1 LTS) where: SELECT version(); version ---------------...
swiss_knight's user avatar
  • 10.1k
0 votes
1 answer
544 views

Upgrading QGIS and keeping configurations

I am looking for a way to upgrade QGIS while keeping my custom configurations/settings. I refer to settings such as view, data connections and installed plugins. Can this be achieved? I am using QGIS ...
yair suari's user avatar
0 votes
1 answer
277 views

QuickMapServices does not work in QGIS 3.24 Tisler as worked before?

I was working with the Google satellite basemap from QuickMapServices using the projected coordinate system NAD83(2011)/UTM zone 15N, and everything was working fine, but today after the upgrade of ...
Na_Na_Na's user avatar
  • 111
0 votes
0 answers
218 views

Recovering lost geometry columns in PostGIS

We have been running v10 of PostgreSQL with PostGIS 2.4. We are in the process of migrating to PostgreSQL 14 with PostGIS 3.2. There appeared to be an issue with pg_upgrade and the PostGIS version, so ...
kflaw's user avatar
  • 1,416
1 vote
0 answers
373 views

Safe upgrade of PROJ for PostGIS?

Is there a safe way to install fresh PROJ, for example v8.2, in a Debian Linux server, for use with (for example) PostGIS v3? The installation of PROJ was implicit in the PostGIS's, I never do ...
Peter Krauss's user avatar
  • 2,282
0 votes
1 answer
156 views

Using old data in new version of QGIS

I have several layers/maps in QGIS Girona 3.0 version and I'm thinking about uploading to Pi version 3.14. Would I be able to keep using the same files in the new version?
Jose's user avatar
  • 1
1 vote
0 answers
187 views

Can't access PostGIS data after Ubuntu update [duplicate]

Our PostGIS database is installed on Ubuntu. Recently I made an upgrade to Ubuntu 20.04. Now we can't access any PostGIS data. Example: postgres=# select * from default_line limit 10; ERROR: could ...
Redoute's user avatar
  • 2,164
2 votes
0 answers
396 views

Experience with issues faced while upgrading from OpenLayers 4 to 6

We are thinking of migrating from OL 4 to 6, skipping 5. I read the upgrade notes, but I wanted to know if someone here also jumped from v4 to v6 and their experience if they faced any major hurdles ...
Rajat's user avatar
  • 121
2 votes
0 answers
909 views

Upgrade to PostGIS 3.0 in pgAdmin

I would like to use the new ST_TileEnvelope() function from PostGIS 3.0. My current version is 2.4.4. I would like to update to PostGIS 3.0 in pgAdmin. Is this possible? I have tried ALTER ...
GNG's user avatar
  • 421
2 votes
0 answers
103 views

QGIS Layer List upgrade to V3 C++ plugin

I was upgrading a c++ plugin that I had used in the past and almost eliminated all the the usual changes according to the most current version (3.6). The plugin used to collect current map canvas ...
mazda's user avatar
  • 21
3 votes
0 answers
2k views

Restoring a PostgreSQL/PostGIS backup into a new database with fresh extensions

I'm working on a migration from a very old server (Ubuntu 10.04/Postgres 8.x, etc) to a new instance (18.04) with up-to-date versions of everything in our web stack. Our PostgreSQL database uses a ...
elrobis's user avatar
  • 6,456
0 votes
1 answer
823 views

Upgrading from ArcGIS 10.3 (Desktop & Server), what version to choose? [closed]

We are currently on 10.3 (Desktop & Server) and have been for 5+ years. Looking to upgrade to new version, cannot go to 10.6.1 due to third party software compatibility. I have been told (by ...
Jerome's user avatar
  • 1
3 votes
1 answer
16k views

How to upgrade pgAdmin 4 in Windows? [closed]

A new version of pgAdmin 4 is released almost every month. I wonder what is the correct way to upgrade a newer version of it? Is it necessary to uninstall the older version first and install the new ...
Andre Silva's user avatar
  • 10.2k